<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class RoleMiddleware
{
    public function handle(Request $request, Closure $next, string $role): Response
    {
        // $request->user() akan otomatis mengecek apakah ada user yang login
        // Jika ada, baru kita cek role-nya
        if ($request->user() && $request->user()->role === $role) {
            return $next($request);
        }

        // Jika tidak login ATAU role tidak sesuai, tolak aksesnya
        abort(403, 'Akses Ditolak. Anda tidak memiliki izin ke halaman ini.');
    }
}